import 'package:args/command_runner.dart';
import 'package:http/http.dart';

import 'commands/init.dart';
import 'commands/log_out.dart';
import 'commands/login.dart';
import 'commands/pull.dart';
import 'data/http.dart';
import 'inject_repositories.dart';

class Commands extends CommandRunner<void> {
  Commands(super.executableName, super.description) {
    injectRepositories(
      http: Http(
        'https://cloudicons.meedu.app',
        Client(),
      ),
    );
    addCommand(
      LoginCommand(Repositories.auth),
    );
    addCommand(
      LogOutCommand(Repositories.auth),
    );
    addCommand(
      InitCommand(Repositories.auth, Repositories.packages),
    );
    addCommand(
      PullCommand(Repositories.auth, Repositories.packages),
    );
  }
}
