import 'dart:async';
import 'dart:io';

Future<T> showLoader<T>(Future<T> future) async {
  var i = 0;
  var timer = Timer.periodic(
    Duration(milliseconds: 100),
    (_) {
      stdout.write('\r${_getSpinnerChar(i)}');
      i = (i + 1) % 4;
    },
  );

  // Simulate a long-running task
  final result = await future;
  timer.cancel();
  stdout.writeln('\n');
  return result;
}

String _getSpinnerChar(int i) {
  switch (i) {
    case 0:
      return '|';
    case 1:
      return '/';
    case 2:
      return '-';
    case 3:
      return '\\';
    default:
      return '';
  }
}
